MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025237Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2014-09-12 11:432014-11-11 12:59
Reporteremv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.7.1 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0025237: Wrong result of COMMON operation
DescriptionWrong result of COMMON operation applied to attached edges.
Steps To Reproducerestore b26 e1
restore b5 e2
bop e1 e2
bopcommon r
# r is empty
Additional information
and documentation updates
Modifications in Edge/Edge intersection algorithm:
1. Condition to create common part of type TopAbs_EDGE is changed.
2. Correct treatment of closed edges.
TagsNo tags attached.
Test case numberbugs modalg_5(010) bug25237
Attached Files? file icon b26 (959 bytes) 2014-09-12 11:43
? file icon b5 (3,295 bytes) 2014-09-12 11:44

- Relationships

-  Notes
(0031652)
git (administrator)
2014-09-12 12:22

Branch CR25237 has been created by emv.

SHA-1: d923e0c3c509f49f7280f2d520e011b3a2879372


Detailed log of new commits:

Author: emv
Date: Fri Sep 12 12:03:18 2014 +0400

    0025237: Wrong result of COMMON operation
    
    Modifications in Edge/Edge intersection algorithm:
    1. Condition to create common part of type TopAbs_EDGE is changed.
    2. Correct treatment of closed edges.
(0031653)
emv (developer)
2014-09-12 12:23

Git branch CR25237 is ready to be reviewed.
(0031665)
pkv (developer)
2014-09-12 14:27

Reviewed
(0031761)
git (administrator)
2014-09-16 15:02

Branch CR25237 has been updated forcibly by mkv.

SHA-1: 9cfa69e15e137298cdf5a4ca4b1d2507d2614084
(0031871)
apv (tester)
2014-09-18 16:33

Dear BugMaster,

Branch CR25237 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: 9cfa69e15e137298cdf5a4ca4b1d2507d2614084

Number of compiler warnings:
occt component:
   Linux: 16 (15 on master)
   Windows: 0 (0 on master)
products component:
   Linux: 11 (11 on master)
   Windows: 1 (1 on master)
There is new additional compilation warnings on Linux platform:
IntTools_EdgeEdge.cxx:583, GNU C Compiler 4 (gcc), Priority: Normal
suggest parentheses around ‘&&’ within ‘||’

Regressions/Differences:
Not detected

Testing cases:
Not done

Testing on Linux:
Total MEMORY difference: 355316420 / 355211896
Total CPU difference: 43231.46000000028 / 45410.72000000016

Testing on Windows:
Total MEMORY difference: 242240820 / 241910488
Total CPU difference: 39274.53125 / 42620.859375
(0031877)
git (administrator)
2014-09-18 16:59

Branch CR25237 has been updated by emv.

SHA-1: bbb19e21c6eb3d0e494365d2fa6f5967b9517865


Detailed log of new commits:

Author: emv
Date: Thu Sep 18 16:58:45 2014 +0400

    Small correction to eliminate warning.

(0031878)
emv (developer)
2014-09-18 17:00

Warning has been removed. Please test.
(0031914)
git (administrator)
2014-09-19 16:33

Branch CR25237 has been updated forcibly by apv.

SHA-1: aaa50d984210bc6126bcdf5b9f48a38cab3c654d
(0031965)
git (administrator)
2014-09-22 18:46

Branch CR25237 has been updated by apv.

SHA-1: 746d24e855aea10700afc821e3e7b0f5c6a2584d


Detailed log of new commits:

Author: apv
Date: Mon Sep 22 18:46:16 2014 +0400

    Test case for issue 0025237

(0031971)
apv (tester)
2014-09-22 19:34

Dear BugMaster,

Branch CR25237 (and products from GIT master) was compiled on Linux, Windows and MacOS platforms and tested.
SHA-1: 746d24e855aea10700afc821e3e7b0f5c6a2584d

Number of compiler warnings:
occt component:
   Linux: 15 (15 on master)
   Windows: 0 (0 on master)
   MacOS: 193 (193 on master)
products component:
   Linux: 11 (11 on master)
   Windows: 1 (1 on master)

Regressions/Differences:
Not detected

Testing case:
bugs modalg_5(010) bug25237 - OK
http://occt-tests/CR25237-master-occt/Debian60-64/bugs/modalg_5/bug25237.html [^]
http://occt-tests/CR25237-master-occt/Windows-32-VC10/bugs/modalg_5/bug25237.html [^]

Testing on Linux:
Total MEMORY difference: 355243580 / 355491948
Total CPU difference: 43686.4399999999 / 44819.06000000009

Testing on Windows:
Total MEMORY difference: 242577068 / 242267280
Total CPU difference: 35152.015625 / 34303.3125
(0032433)
git (administrator)
2014-09-30 11:36

Branch CR25237 has been deleted by inv.

SHA-1: 746d24e855aea10700afc821e3e7b0f5c6a2584d

- Related Changesets
occt: master 3e594885
Timestamp: 2014-09-25 09:57:45
Author: emv
Committer: bugmaster
Details ] Diff ]
0025237: Wrong result of COMMON operation

Modifications in Edge/Edge intersection algorithm:
1. Condition to create common part of type TopAbs_EDGE is changed.
2. Correct treatment of closed edges.

Small correction to eliminate warning.

Test case for issue 0025237
mod - src/IntTools/IntTools_EdgeEdge.cdl Diff ] File ]
mod - src/IntTools/IntTools_EdgeEdge.cxx Diff ] File ]
add - tests/bugs/modalg_5/bug25237 Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-09-12 11:43 emv New Issue
2014-09-12 11:43 emv Assigned To => emv
2014-09-12 11:43 emv File Added: b26
2014-09-12 11:44 emv File Added: b5
2014-09-12 11:48 emv Status new => assigned
2014-09-12 12:22 git Note Added: 0031652
2014-09-12 12:23 emv Note Added: 0031653
2014-09-12 12:23 emv Assigned To emv => pkv
2014-09-12 12:23 emv Status assigned => resolved
2014-09-12 12:23 emv Additional Information Updated View Revisions
2014-09-12 14:27 pkv Note Added: 0031665
2014-09-12 14:27 pkv Assigned To pkv => mkv
2014-09-12 14:27 pkv Status resolved => reviewed
2014-09-16 15:02 git Note Added: 0031761
2014-09-17 20:26 mkv Assigned To mkv => apv
2014-09-18 16:33 apv Note Added: 0031871
2014-09-18 16:34 apv Assigned To apv => emv
2014-09-18 16:34 apv Status reviewed => assigned
2014-09-18 16:59 git Note Added: 0031877
2014-09-18 17:00 emv Note Added: 0031878
2014-09-18 17:00 emv Assigned To emv => apv
2014-09-18 17:00 emv Status assigned => resolved
2014-09-18 17:00 emv Status resolved => reviewed
2014-09-19 16:33 git Note Added: 0031914
2014-09-22 17:17 apv Test case number => bugs modalg_5(010) bug25237
2014-09-22 18:46 git Note Added: 0031965
2014-09-22 19:34 apv Note Added: 0031971
2014-09-22 19:34 apv Assigned To apv => bugmaster
2014-09-22 19:34 apv Status reviewed => tested
2014-09-26 14:49 bugmaster Changeset attached => occt master 3e594885
2014-09-26 14:49 bugmaster Status tested => verified
2014-09-26 14:49 bugmaster Resolution open => fixed
2014-09-30 11:36 git Note Added: 0032433
2014-11-11 12:44 aiv Fixed in Version => 6.8.0
2014-11-11 12:59 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker